Page 5 of 5 FirstFirst ... 345
Results 41 to 45 of 45

Thread: Broadcom Drivers Broken in 22.04

  1. #41
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    On a live USB now with 22.04, wireless again is not working, tried to run the install the bcmwl-kernel-source here.

    Looks like it's trying to build for a -43 kernel which is weird because we were looking at -56 and -60?? Anyway, the wireless is now working on 22.04 (live USB). I guess next is to try and over-install it onto the HDD image - hopefully keeping may apps and settings.

    Code:
    ubuntu@ubuntu:~$ sudo apt install --reinstall bcmwl-kernel-source
    Reading package lists... Done
    Building dependency tree... Done
    Reading state information... Done
    The following additional packages will be installed:
      binutils binutils-common binutils-x86-64-linux-gnu build-essential cpp-11 cpp-12 dkms dpkg-dev fakeroot g++ g++-11 gcc gcc-11 gcc-11-base gcc-12
      gcc-12-base libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan6 libasan8 libatomic1 libbinutils libc-dev-bin
      libc-devtools libc6-dev libcc1-0 libcrypt-dev libctf-nobfd0 libctf0 libfakeroot libgcc-11-dev libgcc-12-dev libgcc-s1 libgomp1 libitm1 liblsan0
      libnsl-dev libquadmath0 libstdc++-11-dev libstdc++6 libtirpc-dev libtsan0 libtsan2 libubsan1 linux-libc-dev lto-disabled-list make manpages-dev
      rpcsvc-proto
    Suggested packages:
      binutils-doc gcc-11-locales gcc-12-locales menu debian-keyring g++-multilib g++-11-multilib gcc-11-doc gcc-multilib autoconf automake libtool flex
      bison gcc-doc gcc-11-multilib gcc-12-multilib gcc-12-doc glibc-doc libstdc++-11-doc make-doc
    The following NEW packages will be installed:
      bcmwl-kernel-source binutils binutils-common binutils-x86-64-linux-gnu build-essential cpp-12 dkms dpkg-dev fakeroot g++ g++-11 gcc gcc-11 gcc-12
      libalgorithm-diff-perl libalgorithm-diff-xs-perl libalgorithm-merge-perl libasan6 libasan8 libatomic1 libbinutils libc-dev-bin libc-devtools
      libc6-dev libcc1-0 libcrypt-dev libctf-nobfd0 libctf0 libfakeroot libgcc-11-dev libgcc-12-dev libitm1 liblsan0 libnsl-dev libquadmath0
      libstdc++-11-dev libtirpc-dev libtsan0 libtsan2 libubsan1 linux-libc-dev lto-disabled-list make manpages-dev rpcsvc-proto
    The following packages will be upgraded:
      cpp-11 gcc-11-base gcc-12-base libgcc-s1 libgomp1 libstdc++6
    6 upgraded, 45 newly installed, 0 to remove and 390 not upgraded.
    Need to get 205 MB/211 MB of archives.
    After this operation, 657 MB of additional disk space will be used.
    Do you want to continue? [Y/n] Y
    Get:1 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 gcc amd64 4:11.2.0-1ubuntu1 [5,112 B]
    Get:2 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 make amd64 4.3-4.1build1 [180 kB]
    Get:3 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 lto-disabled-list all 24 [12.5 kB]
    Get:4 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 dpkg-dev all 1.21.1ubuntu2.1 [922 kB]
    Get:5 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libc-dev-bin amd64 2.35-0ubuntu3.1 [20.4 kB]
    Get:6 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libcrypt-dev amd64 1:4.4.27-1 [112 kB]
    Get:7 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 rpcsvc-proto amd64 1.4.2-0ubuntu6 [68.5 kB]
    Get:8 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libtirpc-dev amd64 1.3.2-2ubuntu0.1 [192 kB]
    Get:9 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libnsl-dev amd64 1.3.0-2build2 [71.3 kB]
    Get:10 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libc6-dev amd64 2.35-0ubuntu3.1 [2,099 kB]
    Get:11 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 g++ amd64 4:11.2.0-1ubuntu1 [1,412 B]
    Get:12 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 build-essential amd64 12.9ubuntu3 [4,744 B]
    Get:13 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libfakeroot amd64 1.28-1ubuntu1 [31.5 kB]
    Get:14 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 fakeroot amd64 1.28-1ubuntu1 [60.4 kB]
    Get:15 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libalgorithm-diff-perl all 1.201-1 [41.8 kB]
    Get:16 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libalgorithm-diff-xs-perl amd64 0.04-6build3 [11.9 kB]
    Get:17 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libalgorithm-merge-perl all 0.08-3 [12.0 kB]
    Get:18 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 libc-devtools amd64 2.35-0ubuntu3.1 [28.9 kB]
    Get:19 cdrom://Ubuntu 22.04.1 LTS _Jammy Jellyfish_ - Release amd64 (20220809.1) jammy/main amd64 manpages-dev all 5.10-1ubuntu1 [2,309 kB]
    Get:20 http://security.ubuntu.com/ubuntu jammy-security/main amd64 cpp-11 amd64 11.3.0-1ubuntu1~22.04 [9,967 kB]
    Get:21 http://archive.ubuntu.com/ubuntu jammy-updates/main amd64 dkms all 2.8.7-2ubuntu2.1 [70.0 kB]
    Get:22 http://archive.ubuntu.com/ubuntu jammy-updates/restricted amd64 bcmwl-kernel-source amd64 6.30.223.271+bdcom-0ubuntu10~22.04.1 [1,774 kB]
    Get:23 http://security.ubuntu.com/ubuntu jammy-security/main amd64 gcc-11-base amd64 11.3.0-1ubuntu1~22.04 [20.8 kB]
    Get:24 http://security.ubuntu.com/ubuntu jammy-security/main amd64 gcc-12-base amd64 12.1.0-2ubuntu1~22.04 [19.0 kB]
    Get:25 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libstdc++6 amd64 12.1.0-2ubuntu1~22.04 [696 kB]
    Get:26 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libgomp1 amd64 12.1.0-2ubuntu1~22.04 [126 kB]
    Get:27 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libgcc-s1 amd64 12.1.0-2ubuntu1~22.04 [54.3 kB]
    Get:28 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libcc1-0 amd64 12.1.0-2ubuntu1~22.04 [47.4 kB]
    Get:29 http://security.ubuntu.com/ubuntu jammy-security/main amd64 binutils-common amd64 2.38-4ubuntu2.1 [221 kB]
    Get:30 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libbinutils amd64 2.38-4ubuntu2.1 [661 kB]
    Get:31 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libctf-nobfd0 amd64 2.38-4ubuntu2.1 [107 kB]
    Get:32 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libctf0 amd64 2.38-4ubuntu2.1 [103 kB]
    Get:33 http://security.ubuntu.com/ubuntu jammy-security/main amd64 binutils-x86-64-linux-gnu amd64 2.38-4ubuntu2.1 [2,328 kB]
    Get:34 http://security.ubuntu.com/ubuntu jammy-security/main amd64 binutils amd64 2.38-4ubuntu2.1 [3,198 B]
    Get:35 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libitm1 amd64 12.1.0-2ubuntu1~22.04 [30.2 kB]
    Get:36 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libatomic1 amd64 12.1.0-2ubuntu1~22.04 [10.4 kB]
    Get:37 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libasan6 amd64 11.3.0-1ubuntu1~22.04 [2,284 kB]
    Get:38 http://security.ubuntu.com/ubuntu jammy-security/main amd64 liblsan0 amd64 12.1.0-2ubuntu1~22.04 [1,069 kB]
    Get:39 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libtsan0 amd64 11.3.0-1ubuntu1~22.04 [2,262 kB]
    Get:40 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libubsan1 amd64 12.1.0-2ubuntu1~22.04 [976 kB]
    Get:41 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libquadmath0 amd64 12.1.0-2ubuntu1~22.04 [154 kB]
    Get:42 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libgcc-11-dev amd64 11.3.0-1ubuntu1~22.04 [2,517 kB]
    Get:43 http://security.ubuntu.com/ubuntu jammy-security/main amd64 gcc-11 amd64 11.3.0-1ubuntu1~22.04 [20.1 MB]
    Get:44 http://security.ubuntu.com/ubuntu jammy-security/main amd64 cpp-12 amd64 12.1.0-2ubuntu1~22.04 [63.8 MB]
    Get:45 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libasan8 amd64 12.1.0-2ubuntu1~22.04 [2,455 kB]                                    
    Get:46 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libtsan2 amd64 12.1.0-2ubuntu1~22.04 [2,477 kB]                                    
    Get:47 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libgcc-12-dev amd64 12.1.0-2ubuntu1~22.04 [2,618 kB]                               
    Get:48 http://security.ubuntu.com/ubuntu jammy-security/main amd64 gcc-12 amd64 12.1.0-2ubuntu1~22.04 [73.1 MB]                                       
    Get:49 http://security.ubuntu.com/ubuntu jammy-security/main amd64 linux-libc-dev amd64 5.15.0-60.66 [1,341 kB]                                       
    Get:50 http://security.ubuntu.com/ubuntu jammy-security/main amd64 libstdc++-11-dev amd64 11.3.0-1ubuntu1~22.04 [2,087 kB]                            
    Get:51 http://security.ubuntu.com/ubuntu jammy-security/main amd64 g++-11 amd64 11.3.0-1ubuntu1~22.04 [11.4 MB]                                       
    Fetched 205 MB in 14s (15.1 MB/s)                                                                                                                     
    Extracting templates from packages: 100%
    (Reading database ... 206909 files and directories currently installed.)
    Preparing to unpack .../cpp-11_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking cpp-11 (11.3.0-1ubuntu1~22.04) over (11.2.0-19ubuntu1) ...
    Preparing to unpack .../gcc-11-base_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking gcc-11-base:amd64 (11.3.0-1ubuntu1~22.04) over (11.2.0-19ubuntu1) ...
    Preparing to unpack .../gcc-12-base_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking gcc-12-base:amd64 (12.1.0-2ubuntu1~22.04) over (12-20220319-1ubuntu1) ...
    Setting up gcc-12-base:amd64 (12.1.0-2ubuntu1~22.04) ...
    (Reading database ... 206909 files and directories currently installed.)
    Preparing to unpack .../libstdc++6_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libstdc++6:amd64 (12.1.0-2ubuntu1~22.04) over (12-20220319-1ubuntu1) ...
    Setting up libstdc++6:amd64 (12.1.0-2ubuntu1~22.04) ...
    (Reading database ... 206909 files and directories currently installed.)
    Preparing to unpack .../libgomp1_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libgomp1:amd64 (12.1.0-2ubuntu1~22.04) over (12-20220319-1ubuntu1) ...
    Preparing to unpack .../libgcc-s1_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libgcc-s1:amd64 (12.1.0-2ubuntu1~22.04) over (12-20220319-1ubuntu1) ...
    Setting up libgcc-s1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libcc1-0:amd64.
    (Reading database ... 206909 files and directories currently installed.)
    Preparing to unpack .../00-libcc1-0_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libcc1-0:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package binutils-common:amd64.
    Preparing to unpack .../01-binutils-common_2.38-4ubuntu2.1_amd64.deb ...
    Unpacking binutils-common:amd64 (2.38-4ubuntu2.1) ...
    Selecting previously unselected package libbinutils:amd64.
    Preparing to unpack .../02-libbinutils_2.38-4ubuntu2.1_amd64.deb ...
    Unpacking libbinutils:amd64 (2.38-4ubuntu2.1) ...
    Selecting previously unselected package libctf-nobfd0:amd64.
    Preparing to unpack .../03-libctf-nobfd0_2.38-4ubuntu2.1_amd64.deb ...
    Unpacking libctf-nobfd0:amd64 (2.38-4ubuntu2.1) ...
    Selecting previously unselected package libctf0:amd64.
    Preparing to unpack .../04-libctf0_2.38-4ubuntu2.1_amd64.deb ...
    Unpacking libctf0:amd64 (2.38-4ubuntu2.1) ...
    Selecting previously unselected package binutils-x86-64-linux-gnu.
    Preparing to unpack .../05-binutils-x86-64-linux-gnu_2.38-4ubuntu2.1_amd64.deb ...
    Unpacking binutils-x86-64-linux-gnu (2.38-4ubuntu2.1) ...
    Selecting previously unselected package binutils.
    Preparing to unpack .../06-binutils_2.38-4ubuntu2.1_amd64.deb ...
    Unpacking binutils (2.38-4ubuntu2.1) ...
    Selecting previously unselected package libitm1:amd64.
    Preparing to unpack .../07-libitm1_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libitm1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libatomic1:amd64.
    Preparing to unpack .../08-libatomic1_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libatomic1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libasan6:amd64.
    Preparing to unpack .../09-libasan6_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking libasan6:amd64 (11.3.0-1ubuntu1~22.04) ...
    Selecting previously unselected package liblsan0:amd64.
    Preparing to unpack .../10-liblsan0_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking liblsan0:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libtsan0:amd64.
    Preparing to unpack .../11-libtsan0_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking libtsan0:amd64 (11.3.0-1ubuntu1~22.04) ...
    Selecting previously unselected package libubsan1:amd64.
    Preparing to unpack .../12-libubsan1_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libubsan1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libquadmath0:amd64.
    Preparing to unpack .../13-libquadmath0_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libquadmath0:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libgcc-11-dev:amd64.
    Preparing to unpack .../14-libgcc-11-dev_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking libgcc-11-dev:amd64 (11.3.0-1ubuntu1~22.04) ...
    Selecting previously unselected package gcc-11.
    Preparing to unpack .../15-gcc-11_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking gcc-11 (11.3.0-1ubuntu1~22.04) ...
    Selecting previously unselected package gcc.
    Preparing to unpack .../16-gcc_11.2.0-1ubuntu1_amd64.deb ...
    Unpacking gcc (4:11.2.0-1ubuntu1) ...
    Selecting previously unselected package cpp-12.
    Preparing to unpack .../17-cpp-12_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking cpp-12 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libasan8:amd64.
    Preparing to unpack .../18-libasan8_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libasan8:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libtsan2:amd64.
    Preparing to unpack .../19-libtsan2_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libtsan2:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package libgcc-12-dev:amd64.
    Preparing to unpack .../20-libgcc-12-dev_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking libgcc-12-dev:amd64 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package gcc-12.
    Preparing to unpack .../21-gcc-12_12.1.0-2ubuntu1~22.04_amd64.deb ...
    Unpacking gcc-12 (12.1.0-2ubuntu1~22.04) ...
    Selecting previously unselected package make.
    Preparing to unpack .../22-make_4.3-4.1build1_amd64.deb ...
    Unpacking make (4.3-4.1build1) ...
    Selecting previously unselected package lto-disabled-list.
    Preparing to unpack .../23-lto-disabled-list_24_all.deb ...
    Unpacking lto-disabled-list (24) ...
    Selecting previously unselected package dpkg-dev.
    Preparing to unpack .../24-dpkg-dev_1.21.1ubuntu2.1_all.deb ...
    Unpacking dpkg-dev (1.21.1ubuntu2.1) ...
    Selecting previously unselected package libc-dev-bin.
    Preparing to unpack .../25-libc-dev-bin_2.35-0ubuntu3.1_amd64.deb ...
    Unpacking libc-dev-bin (2.35-0ubuntu3.1) ...
    Selecting previously unselected package linux-libc-dev:amd64.
    Preparing to unpack .../26-linux-libc-dev_5.15.0-60.66_amd64.deb ...
    Unpacking linux-libc-dev:amd64 (5.15.0-60.66) ...
    Selecting previously unselected package libcrypt-dev:amd64.
    Preparing to unpack .../27-libcrypt-dev_4.4.27-1_amd64.deb ...
    Unpacking libcrypt-dev:amd64 (1:4.4.27-1) ...
    Selecting previously unselected package rpcsvc-proto.
    Preparing to unpack .../28-rpcsvc-proto_1.4.2-0ubuntu6_amd64.deb ...
    Unpacking rpcsvc-proto (1.4.2-0ubuntu6) ...
    Selecting previously unselected package libtirpc-dev:amd64.
    Preparing to unpack .../29-libtirpc-dev_1.3.2-2ubuntu0.1_amd64.deb ...
    Unpacking libtirpc-dev:amd64 (1.3.2-2ubuntu0.1) ...
    Selecting previously unselected package libnsl-dev:amd64.
    Preparing to unpack .../30-libnsl-dev_1.3.0-2build2_amd64.deb ...
    Unpacking libnsl-dev:amd64 (1.3.0-2build2) ...
    Selecting previously unselected package libc6-dev:amd64.
    Preparing to unpack .../31-libc6-dev_2.35-0ubuntu3.1_amd64.deb ...
    Unpacking libc6-dev:amd64 (2.35-0ubuntu3.1) ...
    Selecting previously unselected package libstdc++-11-dev:amd64.
    Preparing to unpack .../32-libstdc++-11-dev_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking libstdc++-11-dev:amd64 (11.3.0-1ubuntu1~22.04) ...
    Selecting previously unselected package g++-11.
    Preparing to unpack .../33-g++-11_11.3.0-1ubuntu1~22.04_amd64.deb ...
    Unpacking g++-11 (11.3.0-1ubuntu1~22.04) ...
    Selecting previously unselected package g++.
    Preparing to unpack .../34-g++_11.2.0-1ubuntu1_amd64.deb ...
    Unpacking g++ (4:11.2.0-1ubuntu1) ...
    Selecting previously unselected package build-essential.
    Preparing to unpack .../35-build-essential_12.9ubuntu3_amd64.deb ...
    Unpacking build-essential (12.9ubuntu3) ...
    Selecting previously unselected package dkms.
    Preparing to unpack .../36-dkms_2.8.7-2ubuntu2.1_all.deb ...
    Unpacking dkms (2.8.7-2ubuntu2.1) ...
    Selecting previously unselected package bcmwl-kernel-source.
    Preparing to unpack .../37-bcmwl-kernel-source_6.30.223.271+bdcom-0ubuntu10~22.04.1_amd64.deb ...
    Unpacking bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu10~22.04.1) ...
    Selecting previously unselected package libfakeroot:amd64.
    Preparing to unpack .../38-libfakeroot_1.28-1ubuntu1_amd64.deb ...
    Unpacking libfakeroot:amd64 (1.28-1ubuntu1) ...
    Selecting previously unselected package fakeroot.
    Preparing to unpack .../39-fakeroot_1.28-1ubuntu1_amd64.deb ...
    Unpacking fakeroot (1.28-1ubuntu1) ...
    Selecting previously unselected package libalgorithm-diff-perl.
    Preparing to unpack .../40-libalgorithm-diff-perl_1.201-1_all.deb ...
    Unpacking libalgorithm-diff-perl (1.201-1) ...
    Selecting previously unselected package libalgorithm-diff-xs-perl.
    Preparing to unpack .../41-libalgorithm-diff-xs-perl_0.04-6build3_amd64.deb ...
    Unpacking libalgorithm-diff-xs-perl (0.04-6build3) ...
    Selecting previously unselected package libalgorithm-merge-perl.
    Preparing to unpack .../42-libalgorithm-merge-perl_0.08-3_all.deb ...
    Unpacking libalgorithm-merge-perl (0.08-3) ...
    Selecting previously unselected package libc-devtools.
    Preparing to unpack .../43-libc-devtools_2.35-0ubuntu3.1_amd64.deb ...
    Unpacking libc-devtools (2.35-0ubuntu3.1) ...
    Selecting previously unselected package manpages-dev.
    Preparing to unpack .../44-manpages-dev_5.10-1ubuntu1_all.deb ...
    Unpacking manpages-dev (5.10-1ubuntu1) ...
    Setting up gcc-11-base:amd64 (11.3.0-1ubuntu1~22.04) ...
    Setting up manpages-dev (5.10-1ubuntu1) ...
    Setting up lto-disabled-list (24) ...
    Setting up cpp-12 (12.1.0-2ubuntu1~22.04) ...
    Setting up libalgorithm-diff-perl (1.201-1) ...
    Setting up binutils-common:amd64 (2.38-4ubuntu2.1) ...
    Setting up linux-libc-dev:amd64 (5.15.0-60.66) ...
    Setting up libctf-nobfd0:amd64 (2.38-4ubuntu2.1) ...
    Setting up libgomp1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libfakeroot:amd64 (1.28-1ubuntu1) ...
    Setting up libasan6:amd64 (11.3.0-1ubuntu1~22.04) ...
    Setting up fakeroot (1.28-1ubuntu1) ...
    update-alternatives: using /usr/bin/fakeroot-sysv to provide /usr/bin/fakeroot (fakeroot) in auto mode
    Setting up libtirpc-dev:amd64 (1.3.2-2ubuntu0.1) ...
    Setting up rpcsvc-proto (1.4.2-0ubuntu6) ...
    Setting up make (4.3-4.1build1) ...
    Setting up libquadmath0:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libatomic1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libubsan1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libnsl-dev:amd64 (1.3.0-2build2) ...
    Setting up libcrypt-dev:amd64 (1:4.4.27-1) ...
    Setting up libasan8:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libtsan2:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libbinutils:amd64 (2.38-4ubuntu2.1) ...
    Setting up libc-dev-bin (2.35-0ubuntu3.1) ...
    Setting up libalgorithm-diff-xs-perl (0.04-6build3) ...
    Setting up libcc1-0:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up liblsan0:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libitm1:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libc-devtools (2.35-0ubuntu3.1) ...
    Setting up libalgorithm-merge-perl (0.08-3) ...
    Setting up libtsan0:amd64 (11.3.0-1ubuntu1~22.04) ...
    Setting up libctf0:amd64 (2.38-4ubuntu2.1) ...
    Setting up cpp-11 (11.3.0-1ubuntu1~22.04) ...
    Setting up libgcc-12-dev:amd64 (12.1.0-2ubuntu1~22.04) ...
    Setting up libgcc-11-dev:amd64 (11.3.0-1ubuntu1~22.04) ...
    Setting up libc6-dev:amd64 (2.35-0ubuntu3.1) ...
    Setting up binutils-x86-64-linux-gnu (2.38-4ubuntu2.1) ...
    Setting up binutils (2.38-4ubuntu2.1) ...
    Setting up dpkg-dev (1.21.1ubuntu2.1) ...
    Setting up gcc-12 (12.1.0-2ubuntu1~22.04) ...
    Setting up libstdc++-11-dev:amd64 (11.3.0-1ubuntu1~22.04) ...
    Setting up gcc-11 (11.3.0-1ubuntu1~22.04) ...
    Setting up g++-11 (11.3.0-1ubuntu1~22.04) ...
    Setting up gcc (4:11.2.0-1ubuntu1) ...
    Setting up dkms (2.8.7-2ubuntu2.1) ...
    Setting up g++ (4:11.2.0-1ubuntu1) ...
    update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode
    Setting up bcmwl-kernel-source (6.30.223.271+bdcom-0ubuntu10~22.04.1) ...
    Loading new bcmwl-6.30.223.271+bdcom DKMS files...
    Building for 5.15.0-43-generic
    Building for architecture x86_64
    Building initial module for 5.15.0-43-generic
    Can't load /var/lib/shim-signed/mok/.rnd into RNG
    40675079457F0000:error:12000079:random number generator:RAND_load_file:Cannot open file:../crypto/rand/randfile.c:106:Filename=/var/lib/shim-signed/mok
    /.rnd
    ..+..........+......+...+.....+...+...+.+...+........+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*...+.+......+..+++++++++++++++++
    ++++++++++++++++++++++++++++++++++++++++++++++++*..+.+.....+.+.....+...+............+.+..+...+.......+.....+..........+..+....+..+.....................
    .......+.....+.+........+.+.....+.......+........+.........+......+................+.....+.+...............+..+.+..+.........+......+....+........+...+
    ....+...+...........+.......+..+...+.......+...........+...............+.......+.....+.......+...........+....+......+.....+......+.........+.......+..
    ...+.......+..+......+...+.+.........+.....+..........+..+....+.....+..........+......+..+.+..+....+.....+..........+.....+.+...+......+...+..+........
    ........+........+.........+...+............+.......+........+.+.........+...........+......+...+.+.....+.........+.......+......+..............+.+..+.
    +....................+.+......+.....+.......+..+.........+.+..............+......+.+.....+...............+...+....+.....+.......+...+.....+......+.+...
    +........+...+.+.........+.....+.+......+..+.......+...........+...+......+...............+...+...............+...+..........+.....+.........+....+....
    ...........+............+.....+.......+........+.......+...............+............+...+............+...+...+..............+.+....................+...
    ............+.......+.....+.......+...+......+.....+.+........+......+......+...+......+.+........+.+.....+.......+............+..+.+........+.......+.
    ...........+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    ..+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*.+...+.+.....+.+..+......+.......+............+..+...+...++++++++++++++++++++++++++
    +++++++++++++++++++++++++++++++++++++++*.....+.....+...............+......+...+....+......+.....................+.....+...+...+....+........+.+......+.
    ..+.....+.+......+..............+.+...+..+...+...+.......+...+...+.........+...+..+.+...............+.....+....+...+...+...........+...+.......+.....+.
    +.................+...+..........+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    -----
    Secure Boot not enabled on this system.
    Done.
    
    wl.ko:
    Running module version sanity check.
     - Original module
       - No original module exists within this kernel
     - Installation
       - Installing to /lib/modules/5.15.0-43-generic/updates/dkms/
    
    depmod......
    update-initramfs is disabled since running on read-only media
    Setting up build-essential (12.9ubuntu3) ...
    Processing triggers for man-db (2.10.2-1) ...
    Processing triggers for libc-bin (2.35-0ubuntu3.1) ...
    ubuntu@ubuntu:

  2. #42
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    26,047
    Distro
    Ubuntu Development Release

    Re: Broadcom Drivers Broken in 22.04

    I guess next is to try and over-install it onto the HDD image - hopefully keeping may apps and settings.
    What was the result? All fixed now?
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, B.Sc., M.Sc., M.A., Ph.D., Sc.D.

  3. #43
    Join Date
    Jan 2023
    Beans
    32
    Distro
    Ubuntu 22.04 Jammy Jellyfish

    Re: Broadcom Drivers Broken in 22.04

    @chili555 I ended up wiping the entire HDD and starting over. It worked. Sorry to drag you through that but there must have been something we couldn't find.

    Now battling all the reconfig stuff hoping to reconnect the 3.6GiB digikam index files for all the massive remote HDD's I can't access until I figure out how I had them working ... On to another forum search for USB remotes

    Thank YOU anyway.

  4. #44
    Join Date
    May 2023
    Beans
    1

    Re: Broadcom Drivers Broken in 22.04

    Hi friends!
    I have quickly run through the previous messages. Seems like there was mostly a play with package versions. In the end topicstarter just has reinstalled ubuntu and get his driver working. But.. is this roll-back counted as fair solution? When I have initially installed ubuntu 22.04 - Wifi driver was working well. And it stopped after recent updates.

    When I do `sudo apt install bcmwl-kernel-source`
    make.log has multiple errors like:
    ""
    linux_osl.c:659:17: error: implicit declaration of function ‘pci_map_single’; did you mean ‘dma_map_single’?


    I'm not that friendly with C... Seems `pci_map_single` was deprecated and removed in the latest version of linux kernel
    https://lore.kernel.org/lkml/2022010...66@bhelgaas/T/

    That seems to be a straightforward change anyway. But not sure where to commit, so that changes are not overwritten.
    File that need to be fixed is:
    /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/src/shared/linux_osl.c

    @chili555
    Last edited by nuttyfresh; May 18th, 2023 at 09:05 AM.

  5. #45
    Join Date
    Aug 2005
    Location
    South Carolina, USA
    Beans
    26,047
    Distro
    Ubuntu Development Release

    Re: Broadcom Drivers Broken in 22.04

    Quote Originally Posted by nuttyfresh View Post
    Hi friends!
    I have quickly run through the previous messages. Seems like there was mostly a play with package versions. In the end topicstarter just has reinstalled ubuntu and get his driver working. But.. is this roll-back counted as fair solution? When I have initially installed ubuntu 22.04 - Wifi driver was working well. And it stopped after recent updates.

    When I do `sudo apt install bcmwl-kernel-source`
    make.log has multiple errors like:
    ""
    linux_osl.c:659:17: error: implicit declaration of function ‘pci_map_single’; did you mean ‘dma_map_single’?


    I'm not that friendly with C... Seems `pci_map_single` was deprecated and removed in the latest version of linux kernel
    https://lore.kernel.org/lkml/2022010...66@bhelgaas/T/

    That seems to be a straightforward change anyway. But not sure where to commit, so that changes are not overwritten.
    File that need to be fixed is:
    /var/lib/dkms/bcmwl/6.30.223.271+bdcom/build/src/shared/linux_osl.c

    @chili555
    Please start your own new question and include:

    Code:
    uname -r
    sudo apt update && sudo apt -y upgrade
    sudo apt install --reinstall bcmwl-kernel-source
    lspci -nnk | grep 0280 -A3
    Aslo post the entire make.log. Thanks.
    "Oh, Ubuntu, you are my favorite Linux-based operating system" --Dr. Sheldon Cooper, B.Sc., M.Sc., M.A., Ph.D., Sc.D.

Page 5 of 5 FirstFirst ... 345

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •